#define HAVE_STRUCT_TIMESPEC

#include <stdio.h>
#include <pthread.h>

#define N 10

double matrix[N][N];
double vectorX[N];
double vectorY[N];

void *mat_vec(void *arg)
{
	int i, j;

	for(i=0; i<N; i++)
	{
		vectorY[i] = 0;
		for(j=0; j<N; j++)
			vectorY[i] += matrix[i][j]*vectorX[j];
	}

	return NULL;
}

int main(void)
{
	int i, j;

	for(i=0; i<N; i++)
	{
		vectorX[i] = 1.0;
		for(j=0; j<N; j++)
			matrix[i][j] = 1.0;
	}

	mat_vec(NULL);

	for(i=0; i<N; i++)
		printf("%lf\n", vectorY[i]);

	return 0;
}
